Package com.io7m.idstore.protocol.admin.cb

# Interface IdA1AdminPermission

All Superinterfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

All Known Implementing Classes:
  `IdA1AdminPermission.AdminBan`, `IdA1AdminPermission.AdminCreate`, `IdA1AdminPermission.AdminDelete`, `IdA1AdminPermission.AdminRead`, `IdA1AdminPermission.AdminWrite`, `IdA1AdminPermission.AdminWriteSelf`, `IdA1AdminPermission.AuditRead`, `IdA1AdminPermission.UserBan`, `IdA1AdminPermission.UserCreate`, `IdA1AdminPermission.UserDelete`, `IdA1AdminPermission.UserRead`, `IdA1AdminPermission.UserWrite`

public sealed interface IdA1AdminPermission extends com.io7m.cedarbridge.runtime.api.CBSerializableType permits IdA1AdminPermission.AdminBan, IdA1AdminPermission.AdminCreate, IdA1AdminPermission.AdminDelete, IdA1AdminPermission.AdminRead, IdA1AdminPermission.AdminWrite, IdA1AdminPermission.AdminWriteSelf, IdA1AdminPermission.AuditRead, IdA1AdminPermission.UserBan, IdA1AdminPermission.UserCreate, IdA1AdminPermission.UserDelete, IdA1AdminPermission.UserRead, IdA1AdminPermission.UserWrite
An admin permission.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `IdA1AdminPermission.AdminBan`
  A permission that allows for banning admins.
  `static final record`
  `IdA1AdminPermission.AdminCreate`
  A permission that allows for creating admins.
  `static final record`
  `IdA1AdminPermission.AdminDelete`
  A permission that allows for deleting admins.
  `static final record`
  `IdA1AdminPermission.AdminRead`
  A permission that allows reading admins.
  `static final record`
  `IdA1AdminPermission.AdminWrite`
  A permission that allows updating admins.
  `static final record`
  `IdA1AdminPermission.AdminWriteSelf`
  A permission that allows an admin to update itself.
  `static final record`
  `IdA1AdminPermission.AuditRead`
  A permission that allows reading the audit log.
  `static final record`
  `IdA1AdminPermission.UserBan`
  A permission that allows for banning users.
  `static final record`
  `IdA1AdminPermission.UserCreate`
  A permission that allows creating users.
  `static final record`
  `IdA1AdminPermission.UserDelete`
  A permission that allows deleting users.
  `static final record`
  `IdA1AdminPermission.UserRead`
  A permission that allows reading users.
  `static final record`
  `IdA1AdminPermission.UserWrite`
  A permission that allows updating users.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static IdA1AdminPermission`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdA1AdminPermission.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1AdminPermission $x)`
  Serialize a value of type IdA1AdminPermission.

- ## Method Details

  - ### serialize

    static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1AdminPermission $x) throws IOException
    Serialize a value of type IdA1AdminPermission.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    static IdA1AdminPermission deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdA1AdminPermission.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdA1AdminPermission.
    Throws:
      `IOException`